package com.zfire.mall.manager.bean.wallet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *返利统计
 */
@ApiModel
@Data
public class WalletCountBean {

    @ApiModelProperty("经销商编号")
    private String customerNumber;

    @ApiModelProperty("经销商名称")
    private String customerName;

    @ApiModelProperty("经销商余额")
    private BigDecimal amount = BigDecimal.valueOf(0);

    @ApiModelProperty("已用信用额度")
    private BigDecimal usedCreditAmount = BigDecimal.valueOf(0);

    @ApiModelProperty("可用信用额度")
    private BigDecimal freeCreditAmount = BigDecimal.valueOf(0);

    @ApiModelProperty("钱包类型 现金,返利")
    private String type;

    @ApiModelProperty("钱包名称")
    private String walletName;

    @ApiModelProperty("余额统计")
    private BigDecimal amountC = BigDecimal.valueOf(0);

    @ApiModelProperty("已用信用额度统计")
    private BigDecimal useCreditC = BigDecimal.valueOf(0);

    @ApiModelProperty("可用信用额度统计")
    private BigDecimal freeUseCreditC = BigDecimal.valueOf(0);

}
